.video-player-wrapper {
    display: block;
    position: relative;
    width: 100%;
    padding-bottom: 56.25%;
    height: 0;
    margin: 0 auto 20px;
}

.video-player-wrapper .video-player,
.video-player-wrapper iframe {
    bottom: 0;
    height: 100%;
    left: 0;
    position: absolute;
    right: 0;
    top: 0;
    width: 100%;
}

.video-player-wrapper .video-player-splash {
    background-position: center;
    background-size: cover;
    bottom: 0;
    cursor: pointer;
    left: 0;
    position: absolute;
    right: 0;
    top: 0;
    width: 100%;
    height: 100%;
    padding: 0;
}

.video-player-wrapper .video-player-splash button {
    background: transparent;
    border: none;
    cursor: pointer;
    height: 100%;
    left: 0;
    padding: 0;
    position: absolute;
    top: 0;
    width: 100%;
}

.video-player-wrapper .video-player-splash button::before {
    background: rgba(33, 33, 33, 0.9);
    border-radius: 12px;
    content: '';
    height: 48px;
    width: 68px;
    left: 50%;
    position: absolute;
    top: 50%;
    transform: translate(-50%, -50%);
    transition: background .15s;
}

.video-player-wrapper .video-player-splash button::after {
    border-color: transparent transparent transparent #fff;
    border-style: solid;
    border-width: 10px 0 10px 18px;
    content: '';
    left: calc(50% + 3px);
    position: absolute;
    top: 50%;
    transform: translate(-50%, -50%);
}

.video-player-wrapper .video-player-splash button:hover::before {
    background: #ff0000;
}

#mod-videos-overlay {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 9999;
    background: rgba(0, 0, 0, 0.8);
    overflow: auto;
}

#mod-videos-overlay .video-overlay {
    position: relative;
    box-sizing: content-box;
    width: 768px;
    max-width: calc(100% - 40px);
    margin: 7% auto 0;
    padding: 15px;
    background: #fff;
    z-index: 10000;
}

#mod-videos-overlay .video-overlay iframe {
    display: block;
    width: 100%;
    aspect-ratio: 16 / 9;
    border: 0;
}

#mod-videos-overlay .video-overlay .close {
    position: absolute;
    top: -18px;
    right: -18px;
    width: 36px;
    height: 36px;
    z-index: 10005;
    cursor: pointer;
    background: #212121;
    border-radius: 50%;
}

#mod-videos-overlay .video-overlay .close::before,
#mod-videos-overlay .video-overlay .close::after {
    content: '';
    position: absolute;
    top: 50%;
    left: 50%;
    width: 18px;
    height: 2px;
    background: #fff;
}

#mod-videos-overlay .video-overlay .close::before {
    transform: translate(-50%, -50%) rotate(45deg);
}

#mod-videos-overlay .video-overlay .close::after {
    transform: translate(-50%, -50%) rotate(-45deg);
}
